#!/usr/bin/env python

#from distutils.core import setup

short_description=\
"""Library routines for performing L-shaped matrix decompositon.
"""

long_description=\
"""Library for performing L-shaped low rank models. An L shaped decomposition
is a a situation where a matrices X (n, p), Y (n, o) and Z (k, p) are
aproximated by low rank bilinear models (X ~ TP', Y~ TQ', Z ~ OW') in a way
that common patterns between the X-Y, and X-Z are identified.
"""

classifiers = """\
Development Status :: 4 - Beta
Environment :: Console
Intended Audience :: Developers
Intended Audience :: Science/Research
License :: OSI Approved :: BSD License
Operating System :: OS Independent
Programming Language :: Python
Topic :: Scientific/Engineering
Topic :: Software Development :: Libraries :: Python Modules
"""

from pyblm import __version__ 

def configuration(parent_package='',top_path=None):
    from numpy.distutils.misc_util import Configuration
    config = Configuration('', parent_package, top_path)
    config.add_data_dir('tests')
    #config.add_data_files(['lplslib',('COPYING','README')])
    config.add_subpackage('pyblm')
    config.add_subpackage('arpack')
    return config

if __name__ == "__main__":
    from numpy.distutils.core import setup
    config = configuration(top_path='').todict() 
    config['author'] = 'Arnar Flatberg'
    config['author_email'] = 'arnar.flatberg at gmail.com'
#    config['short_description'] = short_description
    config['long_description'] = long_description
    config['url'] = 'https://dev.pvv.org/projects/pyblm'
    config['version'] = __version__
    config['license'] = 'BSD'
    config['platforms'] = ['Linux']
    config['classifiers'] = filter(None, classifiers.split('\n'))
    setup(**config)

